Skip to main content
`Ctrl`+`K`

# DSNEPGetComputeMatrixFunction

Returns the user-provided callback function set in `DSNEPSetComputeMatrixFunction()`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetComputeMatrixFunction(DS ds,DSNEPMatrixFunctionFn **fun,void *ctx)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameters

- fun - the pointer to the user function

- ctx - the context pointer

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPSetComputeMatrixFunction()`

## Level

developer

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPGetComputeMatrixFunction_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages